Skip to main content
PUT
Upload one of a customer's documents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shortName
string
required

Your partner short name

externalUserId
string
required

Your own ID for the customer

documentType
string
required

A document type shortName from GET document-types

Query Parameters

side
string

Required when the document type has required sides, e.g. front or back

Body

multipart/form-data
file
file
required

Response

type
string
required
Example:

"id-card"

uploadedAt
string<date-time>
required
Example:

"2026-10-22T09:20:41.102Z"

url
string
required

Temporary link to download the file. Valid for 5 minutes; fetch the customer again for a fresh one.

Example:

"https://ndovu-documents.s3.amazonaws.com/..."

expiresAt
string<date-time>
required

When url stops working

Example:

"2026-10-22T09:25:41.102Z"

side
string | null
Example:

"front"